/v1/availability

This endpoint allows you to fetch times that are available to book appointments on your apptoto booking pages.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

By default, the result will be an array of times in ISO8601 format. Only available times will be returned.

If you need all of the possible times returned with an "available" flag on each, then set the "expanded" flag to true.

{
	"availability": [
    {
      "time": "2023-03-24T11:30:00",
      "available": true,
      "link": "https://booktimewithme.apptoto.com/default/12313213"
    },
    {
      "time": "2023-03-24T12:00:00",
      "available": false
    },
    ...
  ]
}

OAuth scope

Calls authenticated with an OAuth 2.0 bearer token must include the bookings:read scope. A token without it receives a 403 insufficient_scope response. HTTP Basic auth is not scope-gated.

Query Params
date

(Required) The beginning of the date range to fetch availability for.

date

(Required) The ending of the date range to fetch availability for.

string

(Required) The booking page id or subdomain. E.g if your booking page is hosted at https://bookwithme.apptoto.com/ then you would pass "bookwithme" for the booking_page parameter.

string

If your booking page has multiple appointment types, then you must pass in the appointment_type token that you want availability for.

boolean
Defaults to false

If expanded is false, then an array of available times will be returned. If expanded is true, then an array of objects will be returned. Each object will have the time, whether or not it's available, and a link to use to book the time.

boolean
Defaults to false
Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!